Bug 129389 - [UPDATE] devel/geany to 0.15.
Summary: [UPDATE] devel/geany to 0.15.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-03 12:30 UTC by Marcelo Araujo
Modified: 2008-12-09 10:20 UTC (History)
0 users

See Also:


Attachments
geany.diff (1.72 KB, patch)
2008-12-03 12:30 UTC, Marcelo Araujo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcelo Araujo freebsd_committer 2008-12-03 12:30:01 UTC

- Update to 0.15.
- Remove unnecessary patch.
Comment 1 Edwin Groothuis freebsd_committer 2008-12-03 12:30:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-12-03 12:30:39 UTC
Maintainer of devel/geany,

Please note that PR ports/129389 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/129389

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-12-03 12:30:41 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Andris Raugulis 2008-12-05 07:57:57 UTC
Submitted patch is valid, but somehow weak. It doesn't cover pkg-plist changes.
Submitter have been lazy.

Add patch below & then it can be commited.

--- plist.patch begins here ---
diff -ruN pkg-plist.orig pkg-plist
--- pkg-plist.orig	2008-12-05 08:07:35.000000000 +0200
+++ pkg-plist	2008-12-05 08:05:55.000000000 +0200
@@ -31,8 +31,6 @@
 include/geany/templates.h
 include/geany/ui_utils.h
 include/geany/utils.h
-lib/geany/autosave.la
-lib/geany/autosave.so
 lib/geany/classbuilder.la
 lib/geany/classbuilder.so
 lib/geany/export.la
@@ -41,6 +39,10 @@
 lib/geany/filebrowser.so
 lib/geany/htmlchars.la
 lib/geany/htmlchars.so
+lib/geany/saveactions.la
+lib/geany/saveactions.so
+lib/geany/splitwindow.la
+lib/geany/splitwindow.so
 lib/geany/vcdiff.la
 lib/geany/vcdiff.so
 libdata/pkgconfig/geany.pc
@@ -61,15 +63,18 @@
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/ScintillaLicense.txt
 %%PORTDOCS%%%%DOCSDIR%%/TODO
+%%PORTDOCS%%%%DOCSDIR%%/THANKS
 %%PORTDOCS%%%%DOCSDIR%%/html/images/find_dialog.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/find_in_files_dialog.png
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_display.png
-%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit.png
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit_completions.png
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit_display.png
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_edit_features.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_files.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_gen.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_interface.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_keys.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_printing.png
+%%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_search.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_templ.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_toolbar.png
 %%PORTDOCS%%%%DOCSDIR%%/html/images/pref_dialog_tools.png
@@ -90,9 +95,11 @@
 %%DATADIR%%/filetypes.d
 %%DATADIR%%/filetypes.diff
 %%DATADIR%%/filetypes.docbook
+%%DATADIR%%/filetypes.f77
 %%DATADIR%%/filetypes.ferite
 %%DATADIR%%/filetypes.fortran
 %%DATADIR%%/filetypes.freebasic
+%%DATADIR%%/filetypes.glsl
 %%DATADIR%%/filetypes.haskell
 %%DATADIR%%/filetypes.haxe
 %%DATADIR%%/filetypes.html
@@ -105,7 +112,9 @@
 %%DATADIR%%/filetypes.pascal
 %%DATADIR%%/filetypes.perl
 %%DATADIR%%/filetypes.php
+%%DATADIR%%/filetypes.po
 %%DATADIR%%/filetypes.python
+%%DATADIR%%/filetypes.r
 %%DATADIR%%/filetypes.restructuredtext
 %%DATADIR%%/filetypes.ruby
 %%DATADIR%%/filetypes.sh
@@ -118,6 +127,7 @@
 %%DATADIR%%/latex.tags
 %%DATADIR%%/pascal.tags
 %%DATADIR%%/php.tags
+%%DATADIR%%/python.tags
 %%DATADIR%%/snippets.conf
 %%NLS%%share/locale/be/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/geany.mo
@@ -132,12 +142,14 @@
 %%NLS%%share/locale/hu/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/it/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/ko/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/ro/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/geany.mo
+%%NLS%%share/locale/tr/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/uk/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/geany.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/geany.mo
--- plist.patch ends here ---
Comment 5 dfilter service freebsd_committer 2008-12-09 10:12:57 UTC
araujo      2008-12-09 10:12:43 UTC

  FreeBSD ports repository

  Modified files:
    devel/geany          Makefile distinfo pkg-plist 
  Removed files:
    devel/geany/files    patch-tagmaster-html.c 
  Log:
  - Update to 0.15.
  
  PR:             ports/129389
  Submitted by:   myself
  Reviewed by:    Andris Raugulis <ar@null.lv> (maintainer)
  Approved by:    Andris Raugulis <ar@null.lv> (maintainer)
  
  Revision  Changes    Path
  1.11      +1 -2      ports/devel/geany/Makefile
  1.8       +3 -3      ports/devel/geany/distinfo
  1.2       +0 -11     ports/devel/geany/files/patch-tagmaster-html.c (dead)
  1.9       +16 -4     ports/devel/geany/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Marcelo Araujo freebsd_committer 2008-12-09 10:13:00 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!